# CreatePHP Documentation

## Overview

What CreatePHP does is to help you translate between backend data structures and RDFa formats. The library includes functionality to render RDFa-enriched HTML representations of your data, and for translating JSON-LD data sent by Create.js to the server for further processing. It's important to note that CreatePHP itself doesn't include any UI, so for utilizing in-page editing, you will need to additionally include Create.js in your project, which provides the necessary frontend bits.

Integrating CreatePHP into an existing framework or application basically consists of three steps: First, you will have to write an RdfMapper implementation that works with your storage backend (some mappers are included which you can use as a starting point). Second, you will have to adjust your rendering code to output the markup generated by CreatePHP, and third, you have to provide an access point for the REST backend. See the tutorial for examples on how to achieve all that.

## Contents

* [Tutorial](tutorial.md)
* [Reference](reference.md)
* [Twig Extension](twig.md)